An order is a customer's completed request to purchase one or more products from a shop.

Orders can be created through the API, but no payment information will be collected, and no transaction performed. You can mark the order with any payment status.

POST /accounts/{accountId}/shops/{shopId}/orders

Create a new order.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
Request Body
Media Type Data Type Description
application/json Order the order data including uniqueId, financial status, and customer note
application/xml Order
Response Body
Media Type Data Type Description
application/json OrderExpanded
application/xml OrderExpanded
Request (XML)
<productionOrder>
  <id>...</id>
  <version>...</version>
  <uniqueId>...</uniqueId>
  <customSticker>...</customSticker>
  <created>2019-04-25T18:02:07+02:00</created>
  <financialStatus>...</financialStatus>
  <fulfilmentStatus>...</fulfilmentStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </billingAddress>
    <shippingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </shippingAddress>
  </customer>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </standardVat>
    <reducedVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </reducedVat>
    <currency>
      <id>...</id>
      <code>EUR</code>
      <symbol>€</symbol>
      <name>Euro</name>
    </currency>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier>
      <id>...</id>
      <name>UPS</name>
      <description>Standard domestic shipping method</description>
      <phoneRequired>true</phoneRequired>
      <moduleProvider/>
      <customProvider>...</customProvider>
      <premium>...</premium>
      <emdorsement>...</emdorsement>
      <ddp>...</ddp>
      <showTicketLogo>...</showTicketLogo>
      <customApiUser>...</customApiUser>
      <customApiKey>...</customApiKey>
      <htmlTemplate>...</htmlTemplate>
      <mainCarrier/>
      <perProduct>...</perProduct>
    </carrier>
  </orderShipping>
  <paid>...</paid>
  <dataErasure>
    <id>...</id>
    <personalDataErased>...</personalDataErased>
    <printDataErased>...</printDataErased>
    <personalDataEraseDate>2019-04-25T18:02:07+02:00</personalDataEraseDate>
    <printDataEraseDate>2019-04-25T18:02:07+02:00</printDataEraseDate>
  </dataErasure>
  <express>...</express>
  <comment>...</comment>
</productionOrder>
Request (JSON)
{
  "productionOrder" : {
    "id" : 12345,
    "version" : 12345,
    "uniqueId" : "...",
    "customSticker" : "...",
    "created" : 12345,
    "financialStatus" : "AUTHORIZED",
    "fulfilmentStatus" : "ERROR_HQ_MOTIVES",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "paid" : 12345,
    "dataErasure" : {
      "id" : 12345,
      "personalDataErased" : true,
      "printDataErased" : true,
      "personalDataEraseDate" : 12345,
      "printDataEraseDate" : 12345
    },
    "express" : true,
    "comment" : "..."
  }
}
Response (XML)
<productionOrderExpanded>
  <shippings>
    <shippingLine>
      <id>...</id>
      <title>...</title>
      <price>...</price>
      <codPrice>...</codPrice>
      <orderValue>...</orderValue>
      <carrier>
        <id>...</id>
        <name>UPS</name>
        <description>Standard domestic shipping method</description>
        <phoneRequired>true</phoneRequired>
        <moduleProvider/>
        <customProvider>...</customProvider>
        <premium>...</premium>
        <emdorsement>...</emdorsement>
        <ddp>...</ddp>
        <showTicketLogo>...</showTicketLogo>
        <customApiUser>...</customApiUser>
        <customApiKey>...</customApiKey>
        <htmlTemplate>...</htmlTemplate>
        <mainCarrier/>
        <perProduct>...</perProduct>
      </carrier>
    </shippingLine>
  </shippings>
  <fulfillments>
    <orderFulfillmentExpanded>
      <items>
        <orderFulfillmentItem>
          <id>...</id>
          <quantity>2</quantity>
          <item/>
        </orderFulfillmentItem>
      </items>
      <id>...</id>
      <trackingNumber>222201010015732844</trackingNumber>
      <trackingUrl>https://www.ups.com/track?222201010015732844</trackingUrl>
      <name>UPS Standard</name>
      <carrier/>
    </orderFulfillmentExpanded>
  </fulfillments>
  <orderedProducts>
    <orderedProduct>
      <id>...</id>
      <created>2019-04-25T18:02:07+02:00</created>
      <assignedProductColor>
        <id>...</id>
        <orderIndex>1</orderIndex>
        <productColor/>
        <default>...</default>
        <active>...</active>
      </assignedProductColor>
      <assignedProductSize>
        <id>...</id>
        <orderIndex>1</orderIndex>
        <default>...</default>
        <productSize/>
        <width>47</width>
        <height>68</height>
        <length>...</length>
        <accuracy>...</accuracy>
      </assignedProductSize>
      <amount>2</amount>
      <price>9.99</price>
      <uuid>...</uuid>
      <customReferenceId>Item 123456</customReferenceId>
      <customLabel>...</customLabel>
    </orderedProduct>
  </orderedProducts>
  <customAttributes>
    <orderCustomAttribute>
      <id>...</id>
      <name>...</name>
      <value>...</value>
    </orderCustomAttribute>
  </customAttributes>
  <id>...</id>
  <version>...</version>
  <uniqueId>...</uniqueId>
  <customSticker>...</customSticker>
  <created>2019-04-25T18:02:07+02:00</created>
  <financialStatus>...</financialStatus>
  <fulfilmentStatus>...</fulfilmentStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress/>
    <shippingAddress/>
  </customer>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat/>
    <reducedVat/>
    <currency/>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier/>
  </orderShipping>
  <paid>...</paid>
  <dataErasure>
    <id>...</id>
    <personalDataErased>...</personalDataErased>
    <printDataErased>...</printDataErased>
    <personalDataEraseDate>2019-04-25T18:02:07+02:00</personalDataEraseDate>
    <printDataEraseDate>2019-04-25T18:02:07+02:00</printDataEraseDate>
  </dataErasure>
  <express>...</express>
  <comment>...</comment>
</productionOrderExpanded>
Response (JSON)
{
  "productionOrderExpanded" : {
    "shippings" : {
      "shippingLine" : [ {
        "id" : 12345,
        "title" : "...",
        "price" : 12345.0,
        "codPrice" : 12345.0,
        "orderValue" : 12345.0,
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      }, {
        "id" : 12345,
        "title" : "...",
        "price" : 12345.0,
        "codPrice" : 12345.0,
        "orderValue" : 12345.0,
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      } ]
    },
    "fulfillments" : {
      "orderFulfillmentExpanded" : [ {
        "items" : {
          "orderFulfillmentItem" : [ {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          }, {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          } ]
        },
        "id" : 12345,
        "trackingNumber" : "222201010015732844",
        "trackingUrl" : "https://www.ups.com/track?222201010015732844",
        "name" : "UPS Standard",
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      }, {
        "items" : {
          "orderFulfillmentItem" : [ {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          }, {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          } ]
        },
        "id" : 12345,
        "trackingNumber" : "222201010015732844",
        "trackingUrl" : "https://www.ups.com/track?222201010015732844",
        "name" : "UPS Standard",
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      } ]
    },
    "orderedProducts" : {
      "orderedProduct" : [ {
        "id" : 12345,
        "created" : 12345,
        "assignedProductColor" : {
          "id" : 12345,
          "orderIndex" : 1,
          "productColor" : { },
          "default" : true,
          "active" : true
        },
        "assignedProductSize" : {
          "id" : 12345,
          "orderIndex" : 1,
          "default" : true,
          "productSize" : { },
          "width" : 47.0,
          "height" : 68.0,
          "length" : 12345.0,
          "accuracy" : 12345.0
        },
        "amount" : 2,
        "price" : 9.99,
        "uuid" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "..."
      }, {
        "id" : 12345,
        "created" : 12345,
        "assignedProductColor" : {
          "id" : 12345,
          "orderIndex" : 1,
          "productColor" : { },
          "default" : true,
          "active" : true
        },
        "assignedProductSize" : {
          "id" : 12345,
          "orderIndex" : 1,
          "default" : true,
          "productSize" : { },
          "width" : 47.0,
          "height" : 68.0,
          "length" : 12345.0,
          "accuracy" : 12345.0
        },
        "amount" : 2,
        "price" : 9.99,
        "uuid" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "..."
      } ]
    },
    "customAttributes" : {
      "orderCustomAttribute" : [ {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      }, {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      } ]
    },
    "id" : 12345,
    "version" : 12345,
    "uniqueId" : "...",
    "customSticker" : "...",
    "created" : 12345,
    "financialStatus" : "PENDING",
    "fulfilmentStatus" : "CANCELLED",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "paid" : 12345,
    "dataErasure" : {
      "id" : 12345,
      "personalDataErased" : true,
      "printDataErased" : true,
      "personalDataEraseDate" : 12345,
      "printDataEraseDate" : 12345
    },
    "express" : true,
    "comment" : "..."
  }
}
GET /accounts/{accountId}/shops/{shopId}/orders

Get a list of all orders for your shop.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
filterId query   optional saved Filter.Order ID; empty string for all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
GET /accounts/{accountId}/shops/{shopId}/orders/{orderId}

Get a single order by its id.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json Order
application/xml Order
Response (XML)
<productionOrder>
  <id>...</id>
  <version>...</version>
  <uniqueId>...</uniqueId>
  <customSticker>...</customSticker>
  <created>2019-04-25T18:02:07+02:00</created>
  <financialStatus>...</financialStatus>
  <fulfilmentStatus>...</fulfilmentStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </billingAddress>
    <shippingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </shippingAddress>
  </customer>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </standardVat>
    <reducedVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </reducedVat>
    <currency>
      <id>...</id>
      <code>EUR</code>
      <symbol>€</symbol>
      <name>Euro</name>
    </currency>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier>
      <id>...</id>
      <name>UPS</name>
      <description>Standard domestic shipping method</description>
      <phoneRequired>true</phoneRequired>
      <moduleProvider/>
      <customProvider>...</customProvider>
      <premium>...</premium>
      <emdorsement>...</emdorsement>
      <ddp>...</ddp>
      <showTicketLogo>...</showTicketLogo>
      <customApiUser>...</customApiUser>
      <customApiKey>...</customApiKey>
      <htmlTemplate>...</htmlTemplate>
      <mainCarrier/>
      <perProduct>...</perProduct>
    </carrier>
  </orderShipping>
  <paid>...</paid>
  <dataErasure>
    <id>...</id>
    <personalDataErased>...</personalDataErased>
    <printDataErased>...</printDataErased>
    <personalDataEraseDate>2019-04-25T18:02:07+02:00</personalDataEraseDate>
    <printDataEraseDate>2019-04-25T18:02:07+02:00</printDataEraseDate>
  </dataErasure>
  <express>...</express>
  <comment>...</comment>
</productionOrder>
Response (JSON)
{
  "productionOrder" : {
    "id" : 12345,
    "version" : 12345,
    "uniqueId" : "...",
    "customSticker" : "...",
    "created" : 12345,
    "financialStatus" : "REFUNDED",
    "fulfilmentStatus" : "RECLAMATION",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "paid" : 12345,
    "dataErasure" : {
      "id" : 12345,
      "personalDataErased" : true,
      "printDataErased" : true,
      "personalDataEraseDate" : 12345,
      "printDataEraseDate" : 12345
    },
    "express" : true,
    "comment" : "..."
  }
}
PUT /accounts/{accountId}/shops/{shopId}/orders/{orderId}

Update the order by its id (updates uniqueID only).

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
Request Body
Media Type Data Type Description
application/json Order the order data with fields to update
application/xml Order
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
Request (XML)
<productionOrder>
  <id>...</id>
  <version>...</version>
  <uniqueId>...</uniqueId>
  <customSticker>...</customSticker>
  <created>2019-04-25T18:02:07+02:00</created>
  <financialStatus>...</financialStatus>
  <fulfilmentStatus>...</fulfilmentStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </billingAddress>
    <shippingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </shippingAddress>
  </customer>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </standardVat>
    <reducedVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </reducedVat>
    <currency>
      <id>...</id>
      <code>EUR</code>
      <symbol>€</symbol>
      <name>Euro</name>
    </currency>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier>
      <id>...</id>
      <name>UPS</name>
      <description>Standard domestic shipping method</description>
      <phoneRequired>true</phoneRequired>
      <moduleProvider/>
      <customProvider>...</customProvider>
      <premium>...</premium>
      <emdorsement>...</emdorsement>
      <ddp>...</ddp>
      <showTicketLogo>...</showTicketLogo>
      <customApiUser>...</customApiUser>
      <customApiKey>...</customApiKey>
      <htmlTemplate>...</htmlTemplate>
      <mainCarrier/>
      <perProduct>...</perProduct>
    </carrier>
  </orderShipping>
  <paid>...</paid>
  <dataErasure>
    <id>...</id>
    <personalDataErased>...</personalDataErased>
    <printDataErased>...</printDataErased>
    <personalDataEraseDate>2019-04-25T18:02:07+02:00</personalDataEraseDate>
    <printDataEraseDate>2019-04-25T18:02:07+02:00</printDataEraseDate>
  </dataErasure>
  <express>...</express>
  <comment>...</comment>
</productionOrder>
Request (JSON)
{
  "productionOrder" : {
    "id" : 12345,
    "version" : 12345,
    "uniqueId" : "...",
    "customSticker" : "...",
    "created" : 12345,
    "financialStatus" : "PAID",
    "fulfilmentStatus" : "CANCELLATION_WAITING",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "paid" : 12345,
    "dataErasure" : {
      "id" : 12345,
      "personalDataErased" : true,
      "printDataErased" : true,
      "personalDataEraseDate" : 12345,
      "printDataEraseDate" : 12345
    },
    "express" : true,
    "comment" : "..."
  }
}
DELETE /accounts/{accountId}/shops/{shopId}/orders/{orderId}

Delete the order by its id.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
GET /accounts/{accountId}/shops/{shopId}/orders/expanded

Get a list of all orders (expanded) for your shop.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
filterId query   optional saved Filter.Order ID; empty string for all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
GET /accounts/{accountId}/shops/{shopId}/orders/by-uniqueid/{uniqueId}

Get a single order by its custom uniqueId.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
uniqueId required path     the custom external identifier assigned to the order
Response Body
Media Type Data Type Description
application/json Order
application/xml Order
Response (XML)
<productionOrder>
  <id>...</id>
  <version>...</version>
  <uniqueId>...</uniqueId>
  <customSticker>...</customSticker>
  <created>2019-04-25T18:02:07+02:00</created>
  <financialStatus>...</financialStatus>
  <fulfilmentStatus>...</fulfilmentStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </billingAddress>
    <shippingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </shippingAddress>
  </customer>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </standardVat>
    <reducedVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </reducedVat>
    <currency>
      <id>...</id>
      <code>EUR</code>
      <symbol>€</symbol>
      <name>Euro</name>
    </currency>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier>
      <id>...</id>
      <name>UPS</name>
      <description>Standard domestic shipping method</description>
      <phoneRequired>true</phoneRequired>
      <moduleProvider/>
      <customProvider>...</customProvider>
      <premium>...</premium>
      <emdorsement>...</emdorsement>
      <ddp>...</ddp>
      <showTicketLogo>...</showTicketLogo>
      <customApiUser>...</customApiUser>
      <customApiKey>...</customApiKey>
      <htmlTemplate>...</htmlTemplate>
      <mainCarrier/>
      <perProduct>...</perProduct>
    </carrier>
  </orderShipping>
  <paid>...</paid>
  <dataErasure>
    <id>...</id>
    <personalDataErased>...</personalDataErased>
    <printDataErased>...</printDataErased>
    <personalDataEraseDate>2019-04-25T18:02:07+02:00</personalDataEraseDate>
    <printDataEraseDate>2019-04-25T18:02:07+02:00</printDataEraseDate>
  </dataErasure>
  <express>...</express>
  <comment>...</comment>
</productionOrder>
Response (JSON)
{
  "productionOrder" : {
    "id" : 12345,
    "version" : 12345,
    "uniqueId" : "...",
    "customSticker" : "...",
    "created" : 12345,
    "financialStatus" : "PENDING",
    "fulfilmentStatus" : "RECLAMATION",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "paid" : 12345,
    "dataErasure" : {
      "id" : 12345,
      "personalDataErased" : true,
      "printDataErased" : true,
      "personalDataEraseDate" : 12345,
      "printDataEraseDate" : 12345
    },
    "express" : true,
    "comment" : "..."
  }
}
GET /accounts/{accountId}/shops/{shopId}/orders/expanded/{orderId}

Get a single order (expanded) by its id.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json OrderExpanded
application/xml OrderExpanded
Response (XML)
<productionOrderExpanded>
  <shippings>
    <shippingLine>
      <id>...</id>
      <title>...</title>
      <price>...</price>
      <codPrice>...</codPrice>
      <orderValue>...</orderValue>
      <carrier>
        <id>...</id>
        <name>UPS</name>
        <description>Standard domestic shipping method</description>
        <phoneRequired>true</phoneRequired>
        <moduleProvider/>
        <customProvider>...</customProvider>
        <premium>...</premium>
        <emdorsement>...</emdorsement>
        <ddp>...</ddp>
        <showTicketLogo>...</showTicketLogo>
        <customApiUser>...</customApiUser>
        <customApiKey>...</customApiKey>
        <htmlTemplate>...</htmlTemplate>
        <mainCarrier/>
        <perProduct>...</perProduct>
      </carrier>
    </shippingLine>
  </shippings>
  <fulfillments>
    <orderFulfillmentExpanded>
      <items>
        <orderFulfillmentItem>
          <id>...</id>
          <quantity>2</quantity>
          <item/>
        </orderFulfillmentItem>
      </items>
      <id>...</id>
      <trackingNumber>222201010015732844</trackingNumber>
      <trackingUrl>https://www.ups.com/track?222201010015732844</trackingUrl>
      <name>UPS Standard</name>
      <carrier/>
    </orderFulfillmentExpanded>
  </fulfillments>
  <orderedProducts>
    <orderedProduct>
      <id>...</id>
      <created>2019-04-25T18:02:07+02:00</created>
      <assignedProductColor>
        <id>...</id>
        <orderIndex>1</orderIndex>
        <productColor/>
        <default>...</default>
        <active>...</active>
      </assignedProductColor>
      <assignedProductSize>
        <id>...</id>
        <orderIndex>1</orderIndex>
        <default>...</default>
        <productSize/>
        <width>47</width>
        <height>68</height>
        <length>...</length>
        <accuracy>...</accuracy>
      </assignedProductSize>
      <amount>2</amount>
      <price>9.99</price>
      <uuid>...</uuid>
      <customReferenceId>Item 123456</customReferenceId>
      <customLabel>...</customLabel>
    </orderedProduct>
  </orderedProducts>
  <customAttributes>
    <orderCustomAttribute>
      <id>...</id>
      <name>...</name>
      <value>...</value>
    </orderCustomAttribute>
  </customAttributes>
  <id>...</id>
  <version>...</version>
  <uniqueId>...</uniqueId>
  <customSticker>...</customSticker>
  <created>2019-04-25T18:02:07+02:00</created>
  <financialStatus>...</financialStatus>
  <fulfilmentStatus>...</fulfilmentStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress/>
    <shippingAddress/>
  </customer>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat/>
    <reducedVat/>
    <currency/>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier/>
  </orderShipping>
  <paid>...</paid>
  <dataErasure>
    <id>...</id>
    <personalDataErased>...</personalDataErased>
    <printDataErased>...</printDataErased>
    <personalDataEraseDate>2019-04-25T18:02:07+02:00</personalDataEraseDate>
    <printDataEraseDate>2019-04-25T18:02:07+02:00</printDataEraseDate>
  </dataErasure>
  <express>...</express>
  <comment>...</comment>
</productionOrderExpanded>
Response (JSON)
{
  "productionOrderExpanded" : {
    "shippings" : {
      "shippingLine" : [ {
        "id" : 12345,
        "title" : "...",
        "price" : 12345.0,
        "codPrice" : 12345.0,
        "orderValue" : 12345.0,
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      }, {
        "id" : 12345,
        "title" : "...",
        "price" : 12345.0,
        "codPrice" : 12345.0,
        "orderValue" : 12345.0,
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      } ]
    },
    "fulfillments" : {
      "orderFulfillmentExpanded" : [ {
        "items" : {
          "orderFulfillmentItem" : [ {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          }, {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          } ]
        },
        "id" : 12345,
        "trackingNumber" : "222201010015732844",
        "trackingUrl" : "https://www.ups.com/track?222201010015732844",
        "name" : "UPS Standard",
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      }, {
        "items" : {
          "orderFulfillmentItem" : [ {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          }, {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          } ]
        },
        "id" : 12345,
        "trackingNumber" : "222201010015732844",
        "trackingUrl" : "https://www.ups.com/track?222201010015732844",
        "name" : "UPS Standard",
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      } ]
    },
    "orderedProducts" : {
      "orderedProduct" : [ {
        "id" : 12345,
        "created" : 12345,
        "assignedProductColor" : {
          "id" : 12345,
          "orderIndex" : 1,
          "productColor" : { },
          "default" : true,
          "active" : true
        },
        "assignedProductSize" : {
          "id" : 12345,
          "orderIndex" : 1,
          "default" : true,
          "productSize" : { },
          "width" : 47.0,
          "height" : 68.0,
          "length" : 12345.0,
          "accuracy" : 12345.0
        },
        "amount" : 2,
        "price" : 9.99,
        "uuid" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "..."
      }, {
        "id" : 12345,
        "created" : 12345,
        "assignedProductColor" : {
          "id" : 12345,
          "orderIndex" : 1,
          "productColor" : { },
          "default" : true,
          "active" : true
        },
        "assignedProductSize" : {
          "id" : 12345,
          "orderIndex" : 1,
          "default" : true,
          "productSize" : { },
          "width" : 47.0,
          "height" : 68.0,
          "length" : 12345.0,
          "accuracy" : 12345.0
        },
        "amount" : 2,
        "price" : 9.99,
        "uuid" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "..."
      } ]
    },
    "customAttributes" : {
      "orderCustomAttribute" : [ {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      }, {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      } ]
    },
    "id" : 12345,
    "version" : 12345,
    "uniqueId" : "...",
    "customSticker" : "...",
    "created" : 12345,
    "financialStatus" : "PARTIALLY_PAID",
    "fulfilmentStatus" : "FINISHED",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "paid" : 12345,
    "dataErasure" : {
      "id" : 12345,
      "personalDataErased" : true,
      "printDataErased" : true,
      "personalDataEraseDate" : 12345,
      "printDataEraseDate" : 12345
    },
    "express" : true,
    "comment" : "..."
  }
}
GET /accounts/{accountId}/shops/{shopId}/orders/expanded/by-uniqueid/{uniqueId}

Get a single order (expanded) by its custom uniqueId.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
uniqueId required path     the custom external identifier assigned to the order
Response Body
Media Type Data Type Description
application/json OrderExpanded
application/xml OrderExpanded
Response (XML)
<productionOrderExpanded>
  <shippings>
    <shippingLine>
      <id>...</id>
      <title>...</title>
      <price>...</price>
      <codPrice>...</codPrice>
      <orderValue>...</orderValue>
      <carrier>
        <id>...</id>
        <name>UPS</name>
        <description>Standard domestic shipping method</description>
        <phoneRequired>true</phoneRequired>
        <moduleProvider/>
        <customProvider>...</customProvider>
        <premium>...</premium>
        <emdorsement>...</emdorsement>
        <ddp>...</ddp>
        <showTicketLogo>...</showTicketLogo>
        <customApiUser>...</customApiUser>
        <customApiKey>...</customApiKey>
        <htmlTemplate>...</htmlTemplate>
        <mainCarrier/>
        <perProduct>...</perProduct>
      </carrier>
    </shippingLine>
  </shippings>
  <fulfillments>
    <orderFulfillmentExpanded>
      <items>
        <orderFulfillmentItem>
          <id>...</id>
          <quantity>2</quantity>
          <item/>
        </orderFulfillmentItem>
      </items>
      <id>...</id>
      <trackingNumber>222201010015732844</trackingNumber>
      <trackingUrl>https://www.ups.com/track?222201010015732844</trackingUrl>
      <name>UPS Standard</name>
      <carrier/>
    </orderFulfillmentExpanded>
  </fulfillments>
  <orderedProducts>
    <orderedProduct>
      <id>...</id>
      <created>2019-04-25T18:02:07+02:00</created>
      <assignedProductColor>
        <id>...</id>
        <orderIndex>1</orderIndex>
        <productColor/>
        <default>...</default>
        <active>...</active>
      </assignedProductColor>
      <assignedProductSize>
        <id>...</id>
        <orderIndex>1</orderIndex>
        <default>...</default>
        <productSize/>
        <width>47</width>
        <height>68</height>
        <length>...</length>
        <accuracy>...</accuracy>
      </assignedProductSize>
      <amount>2</amount>
      <price>9.99</price>
      <uuid>...</uuid>
      <customReferenceId>Item 123456</customReferenceId>
      <customLabel>...</customLabel>
    </orderedProduct>
  </orderedProducts>
  <customAttributes>
    <orderCustomAttribute>
      <id>...</id>
      <name>...</name>
      <value>...</value>
    </orderCustomAttribute>
  </customAttributes>
  <id>...</id>
  <version>...</version>
  <uniqueId>...</uniqueId>
  <customSticker>...</customSticker>
  <created>2019-04-25T18:02:07+02:00</created>
  <financialStatus>...</financialStatus>
  <fulfilmentStatus>...</fulfilmentStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress/>
    <shippingAddress/>
  </customer>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat/>
    <reducedVat/>
    <currency/>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier/>
  </orderShipping>
  <paid>...</paid>
  <dataErasure>
    <id>...</id>
    <personalDataErased>...</personalDataErased>
    <printDataErased>...</printDataErased>
    <personalDataEraseDate>2019-04-25T18:02:07+02:00</personalDataEraseDate>
    <printDataEraseDate>2019-04-25T18:02:07+02:00</printDataEraseDate>
  </dataErasure>
  <express>...</express>
  <comment>...</comment>
</productionOrderExpanded>
Response (JSON)
{
  "productionOrderExpanded" : {
    "shippings" : {
      "shippingLine" : [ {
        "id" : 12345,
        "title" : "...",
        "price" : 12345.0,
        "codPrice" : 12345.0,
        "orderValue" : 12345.0,
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      }, {
        "id" : 12345,
        "title" : "...",
        "price" : 12345.0,
        "codPrice" : 12345.0,
        "orderValue" : 12345.0,
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      } ]
    },
    "fulfillments" : {
      "orderFulfillmentExpanded" : [ {
        "items" : {
          "orderFulfillmentItem" : [ {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          }, {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          } ]
        },
        "id" : 12345,
        "trackingNumber" : "222201010015732844",
        "trackingUrl" : "https://www.ups.com/track?222201010015732844",
        "name" : "UPS Standard",
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      }, {
        "items" : {
          "orderFulfillmentItem" : [ {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          }, {
            "id" : 12345,
            "quantity" : 2,
            "item" : { }
          } ]
        },
        "id" : 12345,
        "trackingNumber" : "222201010015732844",
        "trackingUrl" : "https://www.ups.com/track?222201010015732844",
        "name" : "UPS Standard",
        "carrier" : {
          "id" : 12345,
          "name" : "UPS",
          "description" : "Standard domestic shipping method",
          "phoneRequired" : true,
          "moduleProvider" : { },
          "customProvider" : "...",
          "premium" : true,
          "emdorsement" : "...",
          "ddp" : true,
          "showTicketLogo" : true,
          "customApiUser" : "...",
          "customApiKey" : "...",
          "htmlTemplate" : "...",
          "mainCarrier" : { },
          "perProduct" : true
        }
      } ]
    },
    "orderedProducts" : {
      "orderedProduct" : [ {
        "id" : 12345,
        "created" : 12345,
        "assignedProductColor" : {
          "id" : 12345,
          "orderIndex" : 1,
          "productColor" : { },
          "default" : true,
          "active" : true
        },
        "assignedProductSize" : {
          "id" : 12345,
          "orderIndex" : 1,
          "default" : true,
          "productSize" : { },
          "width" : 47.0,
          "height" : 68.0,
          "length" : 12345.0,
          "accuracy" : 12345.0
        },
        "amount" : 2,
        "price" : 9.99,
        "uuid" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "..."
      }, {
        "id" : 12345,
        "created" : 12345,
        "assignedProductColor" : {
          "id" : 12345,
          "orderIndex" : 1,
          "productColor" : { },
          "default" : true,
          "active" : true
        },
        "assignedProductSize" : {
          "id" : 12345,
          "orderIndex" : 1,
          "default" : true,
          "productSize" : { },
          "width" : 47.0,
          "height" : 68.0,
          "length" : 12345.0,
          "accuracy" : 12345.0
        },
        "amount" : 2,
        "price" : 9.99,
        "uuid" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "..."
      } ]
    },
    "customAttributes" : {
      "orderCustomAttribute" : [ {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      }, {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      } ]
    },
    "id" : 12345,
    "version" : 12345,
    "uniqueId" : "...",
    "customSticker" : "...",
    "created" : 12345,
    "financialStatus" : "PAID",
    "fulfilmentStatus" : "CANCELLED",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "paid" : 12345,
    "dataErasure" : {
      "id" : 12345,
      "personalDataErased" : true,
      "printDataErased" : true,
      "personalDataEraseDate" : 12345,
      "printDataEraseDate" : 12345
    },
    "express" : true,
    "comment" : "..."
  }
}
POST /accounts/{accountId}/shops/{shopId}/orders/usingCreatorSE

Create a new order in deferred processing mode using the CreatorSE.OrderDeferred data type. The order payload is validated and stored; fulfillment is processed asynchronously.

When the order contains DesignElementDdf elements, the productionResource.filename field is required and must include a file extension (e.g. design.pdf). Orders submitted without it are rejected with HTTP 400.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
Request Body
Media Type Data Type Description
application/json CreatorSE.OrderDeferred the order data including designs, customer info, and shipping. For DDF design elements, productionResource.filename is required and must include a file extension.
application/xml CreatorSE.OrderDeferred
Response Codes
Code Condition
200 the order was accepted and queued for processing
400 validation failed (e.g. missing country, customer address, or DDF filename without extension)
Response Body
Media Type Data Type Description
application/json CreatorSE.OrderSubmited
application/xml CreatorSE.OrderSubmited
Request (XML)
<creatorse_productionOrderDeferred>
  <uniqueId>...</uniqueId>
  <financialStatus>...</financialStatus>
  <customer>
    <id>...</id>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <email>john.doe@emailservice.com</email>
    <phone>+44208269323</phone>
    <acceptsMarketing>...</acceptsMarketing>
    <billingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </billingAddress>
    <shippingAddress>
      <id>...</id>
      <street>Golborne Road</street>
      <streetNo>45</streetNo>
      <address2>...</address2>
      <city>London</city>
      <company>...</company>
      <country>United Kingdom</country>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <latitude>45.41685</latitude>
      <longitude>-71.6822</longitude>
      <name>John Doe</name>
      <phone>+44208269323</phone>
      <email>john.doe@emailservice.com</email>
      <province>...</province>
      <zip>WC2N 5DU</zip>
      <countryCode>UK</countryCode>
      <provinceCode>...</provinceCode>
      <stateCode>CA</stateCode>
      <stateName>California</stateName>
    </shippingAddress>
  </customer>
  <shopAddress>
    <id>...</id>
    <street>Golborne Road</street>
    <streetNo>45</streetNo>
    <address2>...</address2>
    <city>London</city>
    <company>...</company>
    <country>United Kingdom</country>
    <firstName>John</firstName>
    <lastName>Doe</lastName>
    <latitude>45.41685</latitude>
    <longitude>-71.6822</longitude>
    <name>John Doe</name>
    <phone>+44208269323</phone>
    <email>john.doe@emailservice.com</email>
    <province>...</province>
    <zip>WC2N 5DU</zip>
    <countryCode>UK</countryCode>
    <provinceCode>...</provinceCode>
    <stateCode>CA</stateCode>
    <stateName>California</stateName>
  </shopAddress>
  <country>
    <id>...</id>
    <code>UK</code>
    <name>United Kingdom</name>
    <standardVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </standardVat>
    <reducedVat>
      <id>...</id>
      <percentValue>19</percentValue>
    </reducedVat>
    <currency>
      <id>...</id>
      <code>EUR</code>
      <symbol>€</symbol>
      <name>Euro</name>
    </currency>
    <pricePrecision>2</pricePrecision>
    <priceFractionalDigits>2</priceFractionalDigits>
    <default>...</default>
  </country>
  <orderShipping>
    <id>...</id>
    <title>...</title>
    <price>...</price>
    <codPrice>...</codPrice>
    <orderValue>...</orderValue>
    <carrier>
      <id>...</id>
      <name>UPS</name>
      <description>Standard domestic shipping method</description>
      <phoneRequired>true</phoneRequired>
      <moduleProvider/>
      <customProvider>...</customProvider>
      <premium>...</premium>
      <emdorsement>...</emdorsement>
      <ddp>...</ddp>
      <showTicketLogo>...</showTicketLogo>
      <customApiUser>...</customApiUser>
      <customApiKey>...</customApiKey>
      <htmlTemplate>...</htmlTemplate>
      <mainCarrier/>
      <perProduct>...</perProduct>
    </carrier>
  </orderShipping>
  <customSticker>...</customSticker>
  <express>...</express>
  <comment>...</comment>
  <invoiceGroup>...</invoiceGroup>
  <packagingReceipt>...</packagingReceipt>
  <designs>
    <creatorse_design>
      <productId>...</productId>
      <amount>...</amount>
      <assignedSize>
        <id>...</id>
        <size/>
      </assignedSize>
      <assignedColor>
        <id>...</id>
        <color/>
      </assignedColor>
      <sku>...</sku>
      <customReferenceId>Item 123456</customReferenceId>
      <customLabel>...</customLabel>
      <compositions>
        <creatorse_composition>
          <productArea/>
          <previewResource/>
          <elements>
            <creatorse_designElementMotive/>
            <creatorse_designElementDdf/>
            <creatorse_designElementDecoration/>
          </elements>
        </creatorse_composition>
      </compositions>
    </creatorse_design>
  </designs>
  <templates>
    <creatorse_designedTemplateProduct>
      <templateProductId>...</templateProductId>
      <amount>...</amount>
      <assignedSize>
        <id>...</id>
        <size/>
      </assignedSize>
      <assignedColor>
        <id>...</id>
        <color/>
      </assignedColor>
      <templateProductSku>...</templateProductSku>
    </creatorse_designedTemplateProduct>
  </templates>
  <customAttributes>
    <orderCustomAttribute>
      <id>...</id>
      <name>...</name>
      <value>...</value>
    </orderCustomAttribute>
  </customAttributes>
  <passthroughItems>
    <creatorse_passthroughItem>
      <metadata>...</metadata>
      <previewImage>...</previewImage>
      <name>...</name>
      <description>...</description>
      <sku>...</sku>
      <referenceId>...</referenceId>
      <quantity>...</quantity>
      <brand>...</brand>
      <color>...</color>
      <size>...</size>
    </creatorse_passthroughItem>
  </passthroughItems>
</creatorse_productionOrderDeferred>
Request (JSON)
{
  "creatorse_productionOrderDeferred" : {
    "uniqueId" : "...",
    "financialStatus" : "AUTHORIZED",
    "customer" : {
      "id" : 12345,
      "firstName" : "John",
      "lastName" : "Doe",
      "email" : "john.doe@emailservice.com",
      "phone" : "+44208269323",
      "acceptsMarketing" : true,
      "billingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      },
      "shippingAddress" : {
        "id" : 12345,
        "street" : "Golborne Road",
        "streetNo" : "45",
        "address2" : "...",
        "city" : "London",
        "company" : "...",
        "country" : "United Kingdom",
        "firstName" : "John",
        "lastName" : "Doe",
        "latitude" : 45.41685,
        "longitude" : -71.6822,
        "name" : "John Doe",
        "phone" : "+44208269323",
        "email" : "john.doe@emailservice.com",
        "province" : "...",
        "zip" : "WC2N 5DU",
        "countryCode" : "UK",
        "provinceCode" : "...",
        "stateCode" : "CA",
        "stateName" : "California"
      }
    },
    "shopAddress" : {
      "id" : 12345,
      "street" : "Golborne Road",
      "streetNo" : "45",
      "address2" : "...",
      "city" : "London",
      "company" : "...",
      "country" : "United Kingdom",
      "firstName" : "John",
      "lastName" : "Doe",
      "latitude" : 45.41685,
      "longitude" : -71.6822,
      "name" : "John Doe",
      "phone" : "+44208269323",
      "email" : "john.doe@emailservice.com",
      "province" : "...",
      "zip" : "WC2N 5DU",
      "countryCode" : "UK",
      "provinceCode" : "...",
      "stateCode" : "CA",
      "stateName" : "California"
    },
    "country" : {
      "id" : 12345,
      "code" : "UK",
      "name" : "United Kingdom",
      "standardVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "reducedVat" : {
        "id" : 12345,
        "percentValue" : 19.0
      },
      "currency" : {
        "id" : 12345,
        "code" : "EUR",
        "symbol" : "€",
        "name" : "Euro"
      },
      "pricePrecision" : 2,
      "priceFractionalDigits" : 2,
      "default" : true
    },
    "orderShipping" : {
      "id" : 12345,
      "title" : "...",
      "price" : 12345.0,
      "codPrice" : 12345.0,
      "orderValue" : 12345.0,
      "carrier" : {
        "id" : 12345,
        "name" : "UPS",
        "description" : "Standard domestic shipping method",
        "phoneRequired" : true,
        "moduleProvider" : { },
        "customProvider" : "...",
        "premium" : true,
        "emdorsement" : "...",
        "ddp" : true,
        "showTicketLogo" : true,
        "customApiUser" : "...",
        "customApiKey" : "...",
        "htmlTemplate" : "...",
        "mainCarrier" : { },
        "perProduct" : true
      }
    },
    "customSticker" : "...",
    "express" : true,
    "comment" : "...",
    "invoiceGroup" : "...",
    "packagingReceipt" : "...",
    "designs" : {
      "creatorse_design" : [ {
        "productId" : 12345,
        "amount" : 12345,
        "assignedSize" : {
          "id" : 12345,
          "size" : { }
        },
        "assignedColor" : {
          "id" : 12345,
          "color" : { }
        },
        "sku" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "...",
        "compositions" : {
          "creatorse_composition" : [ {
            "productArea" : { },
            "previewResource" : { },
            "elements" : [ {
              "creatorse_designElementMotive" : { }
            }, {
              "creatorse_designElementDdf" : { }
            }, {
              "creatorse_designElementDecoration" : { }
            } ]
          }, {
            "productArea" : { },
            "previewResource" : { },
            "elements" : [ {
              "creatorse_designElementMotive" : { }
            }, {
              "creatorse_designElementDdf" : { }
            }, {
              "creatorse_designElementDecoration" : { }
            } ]
          } ]
        }
      }, {
        "productId" : 12345,
        "amount" : 12345,
        "assignedSize" : {
          "id" : 12345,
          "size" : { }
        },
        "assignedColor" : {
          "id" : 12345,
          "color" : { }
        },
        "sku" : "...",
        "customReferenceId" : "Item 123456",
        "customLabel" : "...",
        "compositions" : {
          "creatorse_composition" : [ {
            "productArea" : { },
            "previewResource" : { },
            "elements" : [ {
              "creatorse_designElementMotive" : { }
            }, {
              "creatorse_designElementDdf" : { }
            }, {
              "creatorse_designElementDecoration" : { }
            } ]
          }, {
            "productArea" : { },
            "previewResource" : { },
            "elements" : [ {
              "creatorse_designElementMotive" : { }
            }, {
              "creatorse_designElementDdf" : { }
            }, {
              "creatorse_designElementDecoration" : { }
            } ]
          } ]
        }
      } ]
    },
    "templates" : {
      "creatorse_designedTemplateProduct" : [ {
        "templateProductId" : 12345,
        "amount" : 12345,
        "assignedSize" : {
          "id" : 12345,
          "size" : { }
        },
        "assignedColor" : {
          "id" : 12345,
          "color" : { }
        },
        "templateProductSku" : "..."
      }, {
        "templateProductId" : 12345,
        "amount" : 12345,
        "assignedSize" : {
          "id" : 12345,
          "size" : { }
        },
        "assignedColor" : {
          "id" : 12345,
          "color" : { }
        },
        "templateProductSku" : "..."
      } ]
    },
    "customAttributes" : {
      "orderCustomAttribute" : [ {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      }, {
        "id" : 12345,
        "name" : "...",
        "value" : "..."
      } ]
    },
    "passthroughItems" : {
      "creatorse_passthroughItem" : [ {
        "metadata" : "...",
        "previewImage" : "...",
        "name" : "...",
        "description" : "...",
        "sku" : "...",
        "referenceId" : "...",
        "quantity" : 12345,
        "brand" : "...",
        "color" : "...",
        "size" : "..."
      }, {
        "metadata" : "...",
        "previewImage" : "...",
        "name" : "...",
        "description" : "...",
        "sku" : "...",
        "referenceId" : "...",
        "quantity" : 12345,
        "brand" : "...",
        "color" : "...",
        "size" : "..."
      } ]
    }
  }
}
Response (XML)
<productionOrderSubmited>
  <id>...</id>
  <uniqueId>...</uniqueId>
</productionOrderSubmited>
Response (JSON)
{
  "productionOrderSubmited" : {
    "id" : 12345,
    "uniqueId" : "..."
  }
}
DELETE /accounts/{accountId}/shops/{shopId}/orders/{orderId}/cancelOrder

Cancels an existing order for a specific account and shop.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order to be canceled
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
PUT /accounts/{accountId}/shops/{shopId}/orders/{orderId}/commitOrder

Commits an order for the given account and shop with an optional financial status.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order to be committed
shopId required path   int the unique identifier of the shop
financialStatus query PENDING   the financial status of the order; defaults to "PENDING" if not specified
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
DELETE /accounts/{accountId}/shops/{shopId}/orders/{orderId}/production/flag/{flagName}

Removes a specific flag from an order in production.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
flagName required path     the name of the flag to be removed from the order (e.g., Express)
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
POST /accounts/{accountId}/shops/{shopId}/orders/{orderId}/production/flag/{flagName}

Adds a production flag to a specific order for a given account and shop.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
flagName required path     the name of the production flag to be added (e.g., Express)
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json object
application/xml anyType